import pandas as pd
import matplotlib.pyplot as plt
from pylab import *
from matplotlib.font_manager import FontProperties
#支持中文
mpl.rcParams['font.sans-serif'] = ['SimHei']

df = pd.read_csv('普陀校区.csv')

# 按时段划分
hash=[0 for i in range(14)]
print(hash)
time=pd.DataFrame(df,columns=['in_hour','out_hour'])
for i in range(len(df.iloc[:,0])):
    for i in range(time.iloc[i,0],time.iloc[i,1]):
        if i<22:
            hash[i-8]+=1
        else:
            hash[i - 9] += 1
hash_df=pd.DataFrame(hash)
hash_df.to_csv('hash_putuo.csv', index=True)


# 2022/2023上半年
year_2022=df[df['year']==2022]
shang_2022=year_2022[year_2022['month']<=6]
time_2022=shang_2022['使用时长'].sum()
print(time_2022)
year_2023=df[df['year']==2023]
shang_2023=year_2023[year_2023['month']<=6]
time_2023=shang_2023['使用时长'].sum()
print(time_2023)

# 年份划分
year=[2019,2020,2021,2022,2023]
count=[]
for i in year:
    count.append(len(df[df['year']==i]))
year_2019=df[df['year']==2019]
time_2019=year_2019['使用时长'].sum()
year_2020=df[df['year']==2020]
time_2020=year_2020['使用时长'].sum()
year_2021=df[df['year']==2021]
time_2021=year_2021['使用时长'].sum()
year_2022=df[df['year']==2022]
time_2022=year_2022['使用时长'].sum()
year_2023=df[df['year']==2023]
time_2023=year_2023['使用时长'].sum()
print(count)
print(time_2019,time_2020,time_2021,time_2022,time_2023)

# 校区在图书馆使用时长
# print(df.iloc[0,11]==373)
count=[]
for i in range(12):
    count.append(len(df[30*i<=df['使用时长']])+len(df[df['使用时长']<30*(i+1)]))
count.append(len(df[df['使用时长']>30*12]))
print(count)

count=[]
num=0
for i in range(12):
    count.append(num)
    num=0
    for j in range(len(df.iloc[:,0])):
        if 30*i<=df.iloc[i,11]<30*(i+1):
            num+=1
print(count)

